package com.mosty.rzzx.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.rzzx.TbRzSpbfInsertDto;
import com.mosty.base.model.entity.rzzx.TbRzSpbf;
import com.mosty.base.model.query.rzzx.TbRzSpbfQueryDto;
import io.swagger.annotations.ApiOperation;

/**
 * @author dw
 * @since 2022/7/12
 * 视频播放日志服务类
 **/
public interface TbRzSpbfService {

    @ApiOperation("视频播放日志新增")
    int insertEntity(TbRzSpbfInsertDto dto);

    @ApiOperation("视频结束播放")
    int updateEntity(String id);

    @ApiOperation("视频播放日志查询")
    IPage<TbRzSpbf> getPageList(TbRzSpbfQueryDto dto);

    @ApiOperation("查询视频日志详情信息")
    TbRzSpbf getInfo(String id);

    Boolean updateLyId(String lyId);
}
